package me.qwq.doghouse.flexmark.ext.mermaid;

import org.jetbrains.annotations.NotNull;

import com.vladsch.flexmark.util.data.DataHolder;
import com.vladsch.flexmark.util.data.MutableDataHolder;
import com.vladsch.flexmark.util.data.MutableDataSetter;

public class MermaidOptions implements MutableDataSetter {

    final public String mermaidLanguage;
    
    @Override
    public @NotNull MutableDataHolder setIn(@NotNull MutableDataHolder dataHolder) {
        dataHolder.set(MermaidExtension.MERMAID_LANGUAGE, mermaidLanguage);
        return dataHolder;
    }
    
    public MermaidOptions(DataHolder options) {
        mermaidLanguage = MermaidExtension.MERMAID_LANGUAGE.get(options);
    }

}
